﻿using System.Collections.Generic;

namespace IrcStates
{
    public class ISupportChanModes
    {
        public ISupportChanModes(string splitVal)
        {
            if (splitVal == null) return;

            var split = splitVal.Split(',', 4);
            ListModes     = new List<string> {split[0]};
            SettingBModes = new List<string> {split[1]};
            SettingCModes = new List<string> {split[2]};
            SettingDModes = new List<string> {split[3]};
        }

        public List<string> ListModes { get; set; }
        public List<string> SettingBModes { get; set; }
        public List<string> SettingCModes { get; set; }
        public List<string> SettingDModes { get; set; }
    }
}
