﻿// ReSharper disable InconsistentNaming

namespace IrcStates
{
    public static class Numeric
    {
#pragma warning disable CA1707 // Identifiers should not contain underscores
        public const string RPL_WELCOME = "001";
        public const string RPL_ISUPPORT = "005";
        public const string RPL_MOTD = "372";
        public const string RPL_MOTDSTART = "375";
        public const string RPL_UMODEIS = "221";
        public const string RPL_VISIBLEHOST = "396";

        public const string RPL_CHANNELMODEIS = "324";
        public const string RPL_CREATIONTIME = "329";
        public const string RPL_TOPIC = "332";
        public const string RPL_TOPICWHOTIME = "333";

        public const string RPL_WHOREPLY = "352";
        public const string RPL_WHOSPCRPL = "354";
        public const string RPL_ENDOFWHO = "315";
        public const string RPL_NAMREPLY = "353";
        public const string RPL_ENDOFNAMES = "366";

        public const string RPL_BANLIST = "367";
        public const string RPL_ENDOFBANLIST = "368";
        public const string RPL_QUIETLIST = "728";
        public const string RPL_ENDOFQUIETLIST = "729";

        public const string RPL_LOGGEDIN = "900";
        public const string RPL_LOGGEDOUT = "901";
        public const string RPL_SASLSUCCESS = "903";
        public const string ERR_SASLFAIL = "904";
        public const string ERR_SASLTOOLONG = "905";
        public const string ERR_SASLABORTED = "906";
        public const string ERR_SASLALREADY = "907";
        public const string RPL_SASLMECHS = "908";

        public const string RPL_WHOISUSER = "311";
        public const string RPL_WHOISSERVER = "312";
        public const string RPL_WHOISOPERATOR = "313";
        public const string RPL_WHOISIDLE = "317";
        public const string RPL_WHOISCHANNELS = "319";
        public const string RPL_WHOISACCOUNT = "330";
        public const string RPL_WHOISHOST = "378";
        public const string RPL_WHOISMODES = "379";
        public const string RPL_WHOISSECURE = "671";
        public const string RPL_ENDOFWHOIS = "318";

        public const string ERR_NOSUCHCHANNEL = "403";
#pragma warning restore CA1707 // Identifiers should not contain underscores
    }
}
